Skip to navigation

List Webhook Endpoints

List webhook endpoints owned by the authenticated merchant and mode.

Authentication

AuthorizationBasic

Standard Basic HTTP authentication. The username is the Fluveo secret key and the password must be empty, encoded as base64(api_key:).

OR
AuthorizationBearer

Bearer HTTP authentication. Allowed header: Authorization: Bearer <api_key>.

Query parameters

limitintegerOptional
starting_afterstringOptional<=5000 characters

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_beforestringOptional<=5000 characters

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

Stripe-compatible tenant-scoped WebhookEndpoint list

datalist of objects
has_moreboolean
objectenum
Allowed values:
urlstringformat: "^/v1/webhook_endpoints"<=5000 characters